Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.policy.builder.jaxb
Class JaxbAssertionBuilder<T>

    java.lang.Object
      org.apache.cxf.ws.policy.builder.jaxb.JaxbAssertionBuilder<T>

All Implemented Interfaces:
  org.apache.neethi.builders.AssertionBuilder<Element>

    public class JaxbAssertionBuilder<T>

extends Object
implements org.apache.neethi.builders.AssertionBuilder<Element>

Constructor Summary
`JaxbAssertionBuilder(Class<T> type, QName qn)` Constructs a JAXBAssertionBuilder from the specified class and schema type.
`JaxbAssertionBuilder(QName qn)` Constructs a JAXBAssertionBuilder from the QName of the schema type
`JaxbAssertionBuilder(String className, QName qn)` Constructs a JAXBAssertionBuilder from the specified class name and schema type.

Method Summary
`org.apache.neethi.Assertion` | `build(Element element, org.apache.neethi.AssertionBuilderFactory factory)`
`protected JaxbAssertion<T>` | `buildAssertion()`
`protected T` | `getData(Element element)`
`QName[]` | `getKnownElements()`
`protected boolean` | `getOptionality(Element element)`
`protected javax.xml.bind.Unmarshaller` | `getUnmarshaller()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JaxbAssertionBuilder

    public JaxbAssertionBuilder(QName qn)
                         throws javax.xml.bind.JAXBException,
                                ClassNotFoundException

  Constructs a JAXBAssertionBuilder from the QName of the schema type

  Parameters:
    `qn` - the schema type
  Throws:
    `javax.xml.bind.JAXBException`
    `ClassNotFoundException`

### JaxbAssertionBuilder

    public JaxbAssertionBuilder(String className,
                                QName qn)
                         throws javax.xml.bind.JAXBException,
                                ClassNotFoundException

  Constructs a JAXBAssertionBuilder from the specified class name and schema type.

  Parameters:
    `className` - the name of the class to which the schema type is mapped
    `qn` - the schema type
  Throws:
    `javax.xml.bind.JAXBException`
    `ClassNotFoundException`

### JaxbAssertionBuilder

    public JaxbAssertionBuilder(Class<T> type,
                                QName qn)
                         throws javax.xml.bind.JAXBException

  Constructs a JAXBAssertionBuilder from the specified class and schema type.

  Parameters:
    `type` - the class to which the schema type is mapped
    `qn` - the schema type
  Throws:
    `javax.xml.bind.JAXBException`
    `ClassNotFoundException`

Method Detail

### getUnmarshaller

    protected javax.xml.bind.Unmarshaller getUnmarshaller()

### build

    public org.apache.neethi.Assertion build(Element element,
                                             org.apache.neethi.AssertionBuilderFactory factory)

  Specified by:
    `build` in interface `org.apache.neethi.builders.AssertionBuilder<Element>`

### getKnownElements

    public QName[] getKnownElements()

  Specified by:
    `getKnownElements` in interface `org.apache.neethi.builders.AssertionBuilder<Element>`

### buildAssertion

    protected JaxbAssertion<T> buildAssertion()

### getOptionality

    protected boolean getOptionality(Element element)

### getData

    protected T getData(Element element)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF